/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef SCREEN_CONNECTOR_COMMON_TZSH_H_
#define SCREEN_CONNECTOR_COMMON_TZSH_H_

#include <stdint.h>
#include <tzsh_launcher_service.h>
#include <tzsh_shared_widget_launch.h>

#include "screen_connector_common/export.h"
#include "screen_connector_common/handle.h"

namespace screen_connector {

class EXPORT Tzsh : public Handle<tzsh_h> {
 public:
  explicit Tzsh(tzsh_h raw) : Handle<tzsh_h>(raw, true) { }
  virtual ~Tzsh() {
    if (GetRaw() != nullptr) {
      tzsh_destroy(GetRaw());
    }
  }
};

}  // namespace screen_connector

#endif  // SCREEN_CONNECTOR_COMMON_TZSH_H_
